Bug 785448 - Review Request: php-horde-Horde-Autoloader - Horde Autoloader
Summary: Review Request: php-horde-Horde-Autoloader - Horde Autoloader
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: d. johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-29 01:06 UTC by Nick Bebout
Modified: 2016-08-14 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 03:15:55 UTC
Type: ---
drjohnson1: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nick Bebout 2012-01-29 01:06:08 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Autoloader.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Autoloader-1.0.1-1.fc16.src.rpm
Description: Autoload implementation and class loading manager for Horde.

Comment 1 d. johnson 2012-02-19 04:15:37 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x] Package meets naming and packaging guidelines
[x] Spec file matches base package name.
[x] Spec has consistant macro usage.
[x] Meets Packaging Guidelines.
[x] License
[1] License field in spec matches
[ ] License file included in package
[x] Spec in American English
[x] Spec is legible.
[x] Sources match upstream md5sum:

98dc26117c17996b257bc14a05a4efc3  Horde_Autoloader-1.0.1.tgz
98dc26117c17996b257bc14a05a4efc3  Horde_Autoloader-1.0.1.tgz.orig

[-] Package needs ExcludeArch
[x] BuildRequires correct
[x] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[2] Package has %defattr and permissions on files is good.
[3] Package has a correct %clean section.
[-] Package has correct buildroot (el)
    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
[x] Package is code or permissible content.
[-] Doc subpackage needed/used.
[x] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[-] Package is a GUI app and has a .desktop file

[x] Package compiles and builds on at least one arch.
[x] Package has no duplicate files in %files.
[x] Package doesn't own any directories other packages own.
[x] Package owns all the directories it creates.
[x] No rpmlint output.

% rpmlint *rpm php-horde-Horde-Autoloader*spec
php-horde-Horde-Autoloader.noarch: W: spelling-error %description -l en_US Autoload -> Auto load, Auto-load, Tautology
php-horde-Horde-Autoloader.src: W: spelling-error %description -l en_US Autoload -> Auto load, Auto-load, Tautology
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

- final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

php-pear(pear.horde.org/Horde_Autoloader) = 1.0.1
php-horde-Horde-Autoloader = 1.0.1-1.fc16


SHOULD Items:

[x] Should build in mock.
[x] Should build on all supported archs
[x] Should function as described.
[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[x] Should have dist tag
[x] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

1. License on source page says LGPL-2.1, spec says LGPLv2+
2. no %defattr (optional for fedora, needed for el5)
3. no %clean (optional for fedora, needed for el5)

Comment 2 Nick Bebout 2012-02-22 03:10:34 UTC
I don't plan to add %defattr and %clean because I'm not building for el5.  

License fixed.

Comment 3 Nick Bebout 2012-02-22 03:12:15 UTC
I put license as LGPLv2 because Fedora guidelines say the shortlicense for 2 or 2.1 is LGPLv2

Comment 4 d. johnson 2012-02-27 22:20:19 UTC
Approved.

Comment 5 Nick Bebout 2012-03-21 23:58:28 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Autoloader
Short Description: Autoload implementation and class loading manager for Horde
Owners: nb
Branches: f16 f17 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-03-22 12:33:26 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.